Bug 245178 - Resource agent for named
Resource agent for named
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Depends On:
  Show dependency treegraph
Reported: 2007-06-21 10:19 EDT by Lon Hohberger
Modified: 2010-11-02 09:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:30:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-06-21 10:19:33 EDT
+++ This bug was initially created as a clone of Bug #213524 +++

Failover Resource Agent for named with use instructions

-- Additional comment from mgrac@redhat.com on 2006-11-06 16:25 EST --
Resource agent is in the CVS

-- Additional comment from mgrac@redhat.com on 2006-11-06 16:26 EST --
forgot to modify status :)
Comment 1 RHEL Product and Program Management 2007-06-21 10:24:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 Kiersten (Kerri) Anderson 2007-06-25 11:21:01 EDT
Feature request too late to make 5.1 - moving to 5.2
Comment 3 Marek Grac 2007-07-12 07:25:39 EDT
Patch is in the CVS HEAD/RHEL5
Comment 6 errata-xmlrpc 2008-05-21 10:30:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 7 Colin Simpson 2010-10-11 14:48:12 EDT
I don't think you should have closed this one. 

I think rgmanager-2.0.52-6 is missing named-parse-config.pl from /usr/share/cluster/utils as far as I can tell. The resource script "named.sh" requires this to setup the new config file, otherwise you just get a blank file.

From SOURCES/rgmanager-2.0.52/src/resources/Makefile (see below) in the SRPM I see named.sh is in RESOURCES, named.metadata is in METADATA but named-parse-config.pl is missing from UTIL_TARGETS, even though named-parse-config.pl is in the utils directory it never gets installed. 

Not looked at the RHEL4 versions. 

I wonder why no one ever noticed this out there, does no one else want HA DNS? It's high on my list (DNS resolvers are so slow to try their secondary servers after all). Really interested if I'm missing something HA wise on DNS?

RESOURCES=fs.sh service.sh ip.sh nfsclient.sh nfsexport.sh \
	script.sh netfs.sh clusterfs.sh smb.sh \
	apache.sh openldap.sh samba.sh mysql.sh \
	postgres-8.sh tomcat-5.sh lvm.sh lvm_by_lv.sh lvm_by_vg.sh \
	vm.sh SAPInstance SAPDatabase named.sh \
	oracledb.sh ASEHAagent.sh

METADATA=apache.metadata openldap.metadata samba.metadata \
	mysql.metadata postgres-8.metadata tomcat-5.metadata \
	named.metadata lvm.metadata

TARGETS=${RESOURCES} ocf-shellfuncs svclib_nfslock

	utils/config-utils.sh utils/ra-skelet.sh utils/messages.sh \
	utils/httpd-parse-config.pl utils/tomcat-parse-config.pl \

	default_event_script.sl \
Comment 8 Marek Grac 2010-11-02 09:11:40 EDT

You are right, I will add it. New bz number is rhbz#648897

Note You need to log in before you can comment on or make changes to this bug.